import { BaseXform } from "../base-xform.js";
interface ProtectionModel {
    locked?: boolean;
    hidden?: boolean;
}
declare class ProtectionXform extends BaseXform {
    get tag(): string;
    render(xmlStream: any, model: ProtectionModel): void;
    parseOpen(node: any): void;
    parseText(): void;
    parseClose(): boolean;
}
export { ProtectionXform };
